body {
  font-family: "Arial", sans-serif;
  line-height: 1.6;
  color: #333;
  background-color: #f5f5f5;
  padding: 20px;
}

h1 {
  color: #2c3e50;
  font-size: 2.5em;
  border-bottom: 2px solid #e74c3c;
  padding-bottom: 10px;
  margin-bottom: 20px;
}

h2 {
  color: #34495e;
  font-size: 2em;
  border-left: 5px solid #e74c3c;
  padding-left: 10px;
  margin-top: 30px;
  margin-bottom: 15px;
}

ul {
  list-style-type: disc;
  margin-left: 20px;
}

ul li {
  margin-bottom: 10px;
}

ul li a {
  color: #e74c3c;
  text-decoration: none;
}

ul li a:hover {
  text-decoration: underline;
}

ul li ul {
  list-style-type: circle;
  margin-left: 20px;
}

ul li ul li {
  margin-bottom: 5px;
}

ul li ul li a {
  color: #3498db;
}

p {
  margin-bottom: 15px;
}

p code {
  background-color: #ecf0f1;
  padding: 2px 5px;
  border-radius: 3px;
  color: #e74c3c;
}

pre {
  background-color: #ecf0f1;
  padding: 15px;
  border-radius: 5px;
  overflow-x: auto;
}

pre code.lang-python {
  display: block;
  color: #2c3e50;
}

pre code.lang-python span.hljs-string {
  color: #27ae60;
}

pre code.lang-python span.hljs-number {
  color: #e67e22;
}

hr {
  border: 0;
  height: 1px;
  background-color: #ccc;
  margin: 40px 0;
}

.console {
  background-color: #f0f0f0;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
}
#input {
  width: 100%;
  height: 100px;
  padding: 10px;
  font-size: 14px;
  font-family: monospace;
  resize: vertical;
  border: 1px solid #ccc;
  border-radius: 5px;
}
#outputs {
  margin-top: 20px;
}
.output-cell {
  padding: 10px;
  font-size: 14px;
  font-family: monospace;
  border: 1px solid #ccc;
  border-radius: 5px;
  white-space: pre-wrap;
  background-color: #fff;
  margin-top: 10px;
}
button {
  margin-top: 10px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

.fixed-link {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #007bff;
  color: #fff;
  padding: 10px 20px;
  text-decoration: none;
  border-radius: 5px;
  z-index: 1000; /* Ensure it appears above other content */
}

.fixed-link2 {
  position: fixed;
  top: 20px;
  right: 20px;
  font-size: 30px;
  margin: 10px 20px;
  text-decoration: none;
  border-radius: 5px;
  z-index: 1000; /* Ensure it appears above other content */
}
